Package org.eclipse.birt.report.engine.api

# Interface IRunTask

All Superinterfaces:
  `IEngineTask`

public interface IRunTask extends IEngineTask
An engine task that runs a report and generates a report document.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_DATASETPREVIEW, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`void`
`enableProgressiveViewing(boolean enable)`
need the run task support progressive viewing.
`void`
`run()`
run this task.
`void`
`run(String reportDocName)`
runs the task to generate report document
`void`
`run(org.eclipse.birt.core.archive.FolderArchive fArchive)`
Deprecated.
`void`
`run(org.eclipse.birt.core.archive.IDocArchiveWriter archive)`
`void`
`setMaxRowsPerQuery(int maxRows)`
set the max rows per query
`void`
`setPageHandler(IPageHandler callback)`
set up event handler to be called after each page is generated
`void`
`setReportDocument(String name)`
set report document name
`void`
`setReportDocument(org.eclipse.birt.core.archive.compound.IArchiveFile archive)`
set report document.

### Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask

`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameter, setParameterDisplayText, setParameterDisplayText, setParameterValue, setParameterValue, setParameterValues, setProgressMonitor, setStatusHandler, setTimeZone, setUserACL, validateParameters`

## Method Details

### setPageHandler

void setPageHandler(IPageHandler callback)
set up event handler to be called after each page is generated

Parameters:
  `callback` - a callback function that is called after each checkpoint

### run

void run(String reportDocName) throws EngineException
runs the task to generate report document

Parameters:
  `reportDocName` - the name for the report document file
Throws:
  `EngineException` - throws exception when running report fails

### run

void run(org.eclipse.birt.core.archive.IDocArchiveWriter archive) throws EngineException

Parameters:
  `archive` - a document archive object that supports various doc-related functionalities
Throws:
  `EngineException` - throws exception when running report fails

### run

@Deprecated void run(org.eclipse.birt.core.archive.FolderArchive fArchive) throws EngineException
Deprecated.

Parameters:
  `fArchive` - a folder archive that is used both as the data source, and as output The engine WILL overwrite the archive that is passed in!
Throws:
  `EngineException` - throws exception when running report fails

### setMaxRowsPerQuery

void setMaxRowsPerQuery(int maxRows)
set the max rows per query

Parameters:
  `maxRows` - : max rows

### enableProgressiveViewing

void enableProgressiveViewing(boolean enable)
need the run task support progressive viewing. the default value is TRUE.

Parameters:
  `enable` - true the render task can render the document while the run task is generating. false the render task must wait for the run task.

### setReportDocument

void setReportDocument(org.eclipse.birt.core.archive.compound.IArchiveFile archive)
set report document. This archive takes precedence over a report document name

Parameters:
  `archive` - the archive file

### setReportDocument

void setReportDocument(String name)
set report document name

Parameters:
  `name` - report document name

### run

void run() throws EngineException
run this task.

Throws:
  `EngineException`